Get component usage

This API is used to get the landing pages that are using this component.

Returns a list of all pages and landing pages that currently use a specific component.

Requires authentication.

Request

GET /component/{id}/usage

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the component.

Headers

HeaderValue
AuthorizationBearer <token>

Response

Returns a JSON object describing where the component is used.

Response Body

FieldTypeDescription
pagesarrayList of page editor pages that include this component.
landingPagesarrayList of landing pages that include this component.
Path Params
string
required
Query Params
integer
integer
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!